Posted On: Aug 11, 2014

The AWS SDK for Python (Boto) now supports Python 3 with full backwards-compatibility. The SDK now works with Python versions 2.6, 2.7, 3.3, and 3.4. Download the latest build from PyPI or GitHub, and start using AWS for your Python 3 projects today!

For additional information, visit the Boto documentation page

Related Jeff Barr blog post: